function Create(self)
	--working variables
	self.Turret = {};
	--create the turrets.
	self.Turret[1] = CreateACrab("Coalition Small MG Turret");
	MovableMan:AddActor(self.Turret[1]);
	self.Turret[1].Offset = Vector(-105,-10);
	self.Turret[1].Team = self.Team;
	self.Turret[2] = CreateACrab("Coalition Small MG Turret");
	MovableMan:AddActor(self.Turret[2]);
	self.Turret[2].Offset = Vector(105,-10);
	self.Turret[2].Team = self.Team;
end

function Destroy(self)
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			if self.Health < 1 then
				self.Turret[i]:GibThis()
			else
				self.Turret[i].ToDelete = true
			end
		end
	end
end

function Update(self)
	--update turret spatial properties
	for i = 1, #self.Turret do
		if MovableMan:IsActor(self.Turret[i]) == true then
			--basic turret position upkeep (so it doesn't fall at 999999m/s)
			self.Turret[i].Vel.X = 0;
			self.Turret[i].Vel.Y = 0;
			--update turret position
			self.Turret[i].RotAngle = self.RotAngle;
			self.Turret[i].Pos = self.Pos + self:RotateOffset(self.Turret[i].Offset)
		end
	end

end
